<?php
namespace Incoviba\old\Venta;

use Incoviba\Common\Alias\OldModel as Model;
use Carbon\Carbon;

/**
 * @property int $id
 * @property Precio $precio
 * @property \DateTime $fecha
 * @property TipoEstadoPrecio $estado
 */
class EstadoPrecio extends Model
{
  public function precio()
  {
    return $this->belongsTo(Precio::class, 'precio')->findOne();
  }
  public function fecha($fecha = null)
  {
    if ($fecha == null) {
      return Carbon::parse($this->fecha, config('app.timezone'));
    }
    if (is_a($fecha, \DateTime::class)) {
      $fecha = $fecha->format('Y-m-d');
    }
    $this->fecha = $fecha;
  }
  public function estado()
  {
    return $this->belongsTo(TipoEstadoPrecio::class, 'estado')->findOne();
  }
}
